SparseMatrix.cpp File Reference
`#include "SparseMatrix.h"`
`#include "BlockOps.h"`
`#include "MKL.h"`
`#include "Options.h"`
`#include "PasoUtil.h"`
`#include "Preconditioner.h"`
`#include "UMFPACK.h"`
`#include "MUMPS.h"`
`#include "mmio.h"`
`#include <boost/scoped_array.hpp>`
`#include <fstream>`

## Namespaces

| paso

## Functions

void | paso::swap (index_t *r, index_t *c, double *v, int left, int right)
void | paso::q_sort (index_t *row, index_t *col, double *val, int begin, int end, int N)